diff --git a/schema/spacewalk/common/data/rhnTaskoBunch.sql b/schema/spacewalk/common/data/rhnTaskoBunch.sql
index 49516f16ed98..f4f1d50c07ca 100644
--- a/schema/spacewalk/common/data/rhnTaskoBunch.sql
+++ b/schema/spacewalk/common/data/rhnTaskoBunch.sql
@@ -135,4 +135,7 @@ VALUES (sequence_nextval('rhn_tasko_bunch_id_seq'), 'system-profile-refresh-bunc
 INSERT INTO rhnTaskoBunch (id, name, description, org_bunch)
 VALUES (sequence_nextval('rhn_tasko_bunch_id_seq'), 'payg-dimension-computation-bunch', 'Compute the dimensions data required for PAYG billing', null);
 
+INSERT INTO rhnTaskoBunch (id, name, description, org_bunch)
+VALUES (sequence_nextval('rhn_tasko_bunch_id_seq'), 'errata-advisory-map-sync-bunch', 'Update SUSE errata advisory map to retrieve announcement ids and advisor URLs.', null);
+
 commit;
diff --git a/schema/spacewalk/common/data/rhnTaskoSchedule.sql b/schema/spacewalk/common/data/rhnTaskoSchedule.sql
index 2a88f2961ff2..e9883103e783 100644
--- a/schema/spacewalk/common/data/rhnTaskoSchedule.sql
+++ b/schema/spacewalk/common/data/rhnTaskoSchedule.sql
@@ -183,4 +183,10 @@ VALUES (sequence_nextval('rhn_tasko_schedule_id_seq'), 'system-profile-refresh-d
         (SELECT id FROM rhnTaskoBunch WHERE name='system-profile-refresh-bunch'),
         current_timestamp, '0 0 5 ? * SAT#2');
 
+INSERT INTO rhnTaskoSchedule (id, job_label, bunch_id, active_from, cron_expr)
+VALUES (sequence_nextval('rhn_tasko_schedule_id_seq'),
+        'errata-advisory-map-sync-default',
+        (SELECT id FROM rhnTaskoBunch WHERE name = 'errata-advisory-map-sync-bunch'),
+        current_timestamp, '0 0 23 ? * *');
+
 commit;
diff --git a/schema/spacewalk/common/data/rhnTaskoTask.sql b/schema/spacewalk/common/data/rhnTaskoTask.sql
index d4721c1fb8ca..0180e8802306 100644
--- a/schema/spacewalk/common/data/rhnTaskoTask.sql
+++ b/schema/spacewalk/common/data/rhnTaskoTask.sql
@@ -143,4 +143,7 @@ VALUES (sequence_nextval('rhn_tasko_task_id_seq'), 'system-profile-refresh', 'co
 INSERT INTO rhnTaskoTask (id, name, class)
 VALUES (sequence_nextval('rhn_tasko_task_id_seq'), 'payg-dimension-computation', 'com.redhat.rhn.taskomatic.task.payg.PaygComputeDimensionsTask');
 
+INSERT INTO rhnTaskoTask (id, name, class)
+VALUES (sequence_nextval('rhn_tasko_task_id_seq'), 'errata-advisory-map-sync', 'com.redhat.rhn.taskomatic.task.ErrataAdvisoryMapSync');
+
 commit;
diff --git a/schema/spacewalk/common/data/rhnTaskoTemplate.sql b/schema/spacewalk/common/data/rhnTaskoTemplate.sql
index eb566f103f0c..e0a5ced52880 100644
--- a/schema/spacewalk/common/data/rhnTaskoTemplate.sql
+++ b/schema/spacewalk/common/data/rhnTaskoTemplate.sql
@@ -315,4 +315,11 @@ INSERT INTO rhnTaskoTemplate (id, bunch_id, task_id, ordering, start_if)
                     0,
                     null);
 
+INSERT INTO rhnTaskoTemplate (id, bunch_id, task_id, ordering, start_if)
+            VALUES (sequence_nextval('rhn_tasko_template_id_seq'),
+                    (SELECT id FROM rhnTaskoBunch WHERE name = 'errata-advisory-map-sync-bunch'),
+                    (SELECT id FROM rhnTaskoTask WHERE name = 'errata-advisory-map-sync'),
+                    0,
+                    null);
+
 commit;
diff --git a/schema/spacewalk/common/tables/suseErrataAdvisoryMap.sql b/schema/spacewalk/common/tables/suseErrataAdvisoryMap.sql
new file mode 100644
index 000000000000..869a63298f9b
--- /dev/null
+++ b/schema/spacewalk/common/tables/suseErrataAdvisoryMap.sql
@@ -0,0 +1,29 @@
+
+--
+-- Copyright (c) 2025 SUSE LLC
+--
+-- This software is licensed to you under the GNU General Public License,
+-- version 2 (GPLv2). There is NO WARRANTY for this software, express or
+-- implied, including the implied warranties of MERCHANTABILITY or FITNESS
+-- FOR A PARTICULAR PURPOSE. You should have received a copy of GPLv2
+-- along with this software; if not, see
+-- http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt.
+--
+--
+
+CREATE TABLE suseErrataAdvisoryMap
+(
+    id            BIGINT CONSTRAINT suse_errata_advisory_map_id_pk PRIMARY KEY
+                                                  GENERATED ALWAYS AS IDENTITY,
+    patch_id     VARCHAR(128),
+    announcement_id           VARCHAR(64),
+    advisory_uri   TEXT,
+
+    created        TIMESTAMPTZ
+                       DEFAULT (current_timestamp) NOT NULL,
+    modified       TIMESTAMPTZ
+                       DEFAULT (current_timestamp) NOT NULL
+);
+
+CREATE UNIQUE INDEX suse_errata_advisory_map_patch_id_idx
+    ON suseErrataAdvisoryMap (patch_id);
diff --git a/schema/spacewalk/postgres/data/reschedule.sql b/schema/spacewalk/postgres/data/reschedule.sql
index 4f25f558df60..31c07b40877e 100644
--- a/schema/spacewalk/postgres/data/reschedule.sql
+++ b/schema/spacewalk/postgres/data/reschedule.sql
@@ -1,5 +1,5 @@
 --
--- Copyright (c) 2014 SUSE LLC.
+-- Copyright (c) 2014--2025 SUSE LLC.
 --
 -- This software is licensed to you under the GNU General Public License,
 -- version 2 (GPLv2). There is NO WARRANTY for this software, express or
@@ -10,3 +10,4 @@
 --
 
 select randomize_bunch_schedule('mgr-sync-refresh-default');
+select randomize_bunch_schedule('errata-advisory-map-sync-default');
diff --git a/schema/spacewalk/susemanager-schema.changes.carlo.Manager-4.3-fix-1243808-suse-advisory-url b/schema/spacewalk/susemanager-schema.changes.carlo.Manager-4.3-fix-1243808-suse-advisory-url
new file mode 100644
index 000000000000..8b137891791f
--- /dev/null
+++ b/schema/spacewalk/susemanager-schema.changes.carlo.Manager-4.3-fix-1243808-suse-advisory-url
@@ -0,0 +1 @@
+
diff --git a/schema/spacewalk/susemanager-schema.changes.carlo.uyuni-fix-1243808-suse-advisory-url b/schema/spacewalk/susemanager-schema.changes.carlo.uyuni-fix-1243808-suse-advisory-url
new file mode 100644
index 000000000000..7bdcb7653685
--- /dev/null
+++ b/schema/spacewalk/susemanager-schema.changes.carlo.uyuni-fix-1243808-suse-advisory-url
@@ -0,0 +1,3 @@
+- Creation of table suseErrataAdvisoryMap and
+  added errata-advisory-map-sync taskomatic job
+  fixing bug (bsc#1243808)
diff --git a/schema/spacewalk/upgrade/susemanager-schema-4.3.28-to-susemanager-schema-4.3.29/100-create-suseErrataAdvisoryMap.sql b/schema/spacewalk/upgrade/susemanager-schema-4.3.28-to-susemanager-schema-4.3.29/100-create-suseErrataAdvisoryMap.sql
new file mode 100644
index 000000000000..99c7e12461b8
--- /dev/null
+++ b/schema/spacewalk/upgrade/susemanager-schema-4.3.28-to-susemanager-schema-4.3.29/100-create-suseErrataAdvisoryMap.sql
@@ -0,0 +1,29 @@
+--
+-- Copyright (c) 2025 SUSE LLC
+--
+-- This software is licensed to you under the GNU General Public License,
+-- version 2 (GPLv2). There is NO WARRANTY for this software, express or
+-- implied, including the implied warranties of MERCHANTABILITY or FITNESS
+-- FOR A PARTICULAR PURPOSE. You should have received a copy of GPLv2
+-- along with this software; if not, see
+-- http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt.
+--
+--
+
+CREATE TABLE IF NOT EXISTS suseErrataAdvisoryMap
+(
+    id            BIGINT CONSTRAINT suse_errata_advisory_map_id_pk PRIMARY KEY
+                                                  GENERATED ALWAYS AS IDENTITY,
+    patch_id     VARCHAR(128),
+    announcement_id           VARCHAR(64),
+    advisory_uri   TEXT,
+
+    created        TIMESTAMPTZ
+                       DEFAULT (current_timestamp) NOT NULL,
+    modified       TIMESTAMPTZ
+                       DEFAULT (current_timestamp) NOT NULL
+);
+
+CREATE UNIQUE INDEX IF NOT EXISTS suse_errata_advisory_map_patch_id_idx
+    ON suseErrataAdvisoryMap (patch_id);
+
diff --git a/schema/spacewalk/upgrade/susemanager-schema-4.3.28-to-susemanager-schema-4.3.29/101-errata-advisory-map-taskomatic.sql b/schema/spacewalk/upgrade/susemanager-schema-4.3.28-to-susemanager-schema-4.3.29/101-errata-advisory-map-taskomatic.sql
new file mode 100644
index 000000000000..e9de9e645b0a
--- /dev/null
+++ b/schema/spacewalk/upgrade/susemanager-schema-4.3.28-to-susemanager-schema-4.3.29/101-errata-advisory-map-taskomatic.sql
@@ -0,0 +1,52 @@
+--
+-- Copyright (c) 2025 SUSE LLC
+--
+-- This software is licensed to you under the GNU General Public License,
+-- version 2 (GPLv2). There is NO WARRANTY for this software, express or
+-- implied, including the implied warranties of MERCHANTABILITY or FITNESS
+-- FOR A PARTICULAR PURPOSE. You should have received a copy of GPLv2
+-- along with this software; if not, see
+-- http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt.
+--
+
+
+-- Insert task and map to the Java class
+INSERT INTO rhnTaskoTask (id, name, class)
+SELECT sequence_nextval('rhn_tasko_task_id_seq'), 'errata-advisory-map-sync', 'com.redhat.rhn.taskomatic.task.ErrataAdvisoryMapSync'
+WHERE NOT EXISTS (SELECT 1
+                  FROM rhnTaskoTask
+                  WHERE name = 'errata-advisory-map-sync');
+
+-- Insert bunch
+INSERT INTO rhnTaskoBunch (id, name, description, org_bunch)
+SELECT sequence_nextval('rhn_tasko_bunch_id_seq'),
+       'errata-advisory-map-sync-bunch',
+       'Update SUSE errata advisory map to retrieve announcement ids and advisor URLs.',
+       null
+WHERE NOT EXISTS (SELECT 1
+                  FROM rhnTaskoBunch
+                  WHERE name = 'errata-advisory-map-sync-bunch');
+
+-- Insert template
+INSERT INTO rhnTaskoTemplate (id, bunch_id, task_id, ordering, start_if)
+SELECT sequence_nextval('rhn_tasko_template_id_seq'),
+       (SELECT id FROM rhnTaskoBunch WHERE name = 'errata-advisory-map-sync-bunch'),
+       (SELECT id FROM rhnTaskoTask WHERE name = 'errata-advisory-map-sync'),
+       0,
+       null
+WHERE NOT EXISTS (SELECT 1
+                  FROM rhnTaskoTemplate
+                  WHERE bunch_id = (SELECT id FROM rhnTaskoBunch WHERE name = 'errata-advisory-map-sync-bunch')
+                    AND task_id = (SELECT id FROM rhnTaskoTask WHERE name = 'errata-advisory-map-sync')
+                    AND ordering = 0);
+
+-- Insert schedule for task (once a day at 11:00 PM)
+INSERT INTO rhnTaskoSchedule (id, job_label, bunch_id, active_from, cron_expr)
+SELECT sequence_nextval('rhn_tasko_schedule_id_seq'),
+       'errata-advisory-map-sync-default',
+       (SELECT id FROM rhnTaskoBunch WHERE name = 'errata-advisory-map-sync-bunch'),
+       current_timestamp,
+       '0 0 23 ? * *'
+WHERE NOT EXISTS (SELECT 1
+                  FROM rhnTaskoSchedule
+                  WHERE job_label = 'errata-advisory-map-sync-default');
diff --git a/schema/spacewalk/upgrade/susemanager-schema-4.3.28-to-susemanager-schema-4.3.29/102-errata-advisory-map-taskomatic-reschedule.sql b/schema/spacewalk/upgrade/susemanager-schema-4.3.28-to-susemanager-schema-4.3.29/102-errata-advisory-map-taskomatic-reschedule.sql
new file mode 100644
index 000000000000..738c2fe01abf
--- /dev/null
+++ b/schema/spacewalk/upgrade/susemanager-schema-4.3.28-to-susemanager-schema-4.3.29/102-errata-advisory-map-taskomatic-reschedule.sql
@@ -0,0 +1,12 @@
+--
+-- Copyright (c) 2025 SUSE LLC
+--
+-- This software is licensed to you under the GNU General Public License,
+-- version 2 (GPLv2). There is NO WARRANTY for this software, express or
+-- implied, including the implied warranties of MERCHANTABILITY or FITNESS
+-- FOR A PARTICULAR PURPOSE. You should have received a copy of GPLv2
+-- along with this software; if not, see
+-- http://www.gnu.org/licenses/old-licenses/gpl-2.0.txt.
+--
+
+select randomize_bunch_schedule('errata-advisory-map-sync-default');
